#
# File: Version.cmake
#
# Date: Thu Apr 20 11:56:00 EST 2017
# Author: manuel.arguelles
#
# Copyright 2017 Smartmatic Corp. All Rights Reserved.
#
# Confidential Information of Smartmatic Labs. Not for disclosure or distribution
# prior written consent. This software contains code, techniques and know-how which
# is confidential and proprietary to Smartmatic.
#
# Use of this software is subject to the terms of an end user license agreement.
#
# Set VERSION variable (if not already set) by reading VERSION file if found.

IF (NOT DEFINED VERSION)
  IF (EXISTS ${CMAKE_CURRENT_SOURCE_DIR}/VERSION)
    FILE (STRINGS ${CMAKE_CURRENT_SOURCE_DIR}/VERSION VERSION LIMIT_COUNT 1)
  ELSEIF (EXISTS ${CMAKE_CURRENT_SOURCE_DIR}/../VERSION)
    FILE (STRINGS ${CMAKE_CURRENT_SOURCE_DIR}/../VERSION VERSION LIMIT_COUNT 1)
  ELSEIF (EXISTS ${CMAKE_CURRENT_SOURCE_DIR}/../../VERSION)
    FILE (STRINGS ${CMAKE_CURRENT_SOURCE_DIR}/../../VERSION VERSION LIMIT_COUNT 1)
  ELSE ()
    SET (VERSION "2.0.4")
  ENDIF ()
ENDIF ()
