#!/bin/bash
#
# File: create-deb-packages.sh
#
# Generate Debian packages of the project.
#
# Date: Thu Apr 27, 09:27:00 EST 2017.
# Author: manuel.arguelles
#
# Revision: 1
#
# Copyright 2017 Smartmatic Corp. All Rights Reserved.
#
# Confidential Information of Smartmatic Labs. Not for disclosure or distribution
# prior written consent. This software contains code, techniques and know-how which
# is confidential and proprietary to Smartmatic.
#
# Use of this software is subject to the terms of an end user license agreement.
#

BUILD_DIR="build"

if [ -n "$1" ]
then
  BUILD_DIR="$1"
fi

if [ ! -d ${BUILD_DIR} ]
then
  ./scripts/make.sh builddir=${BUILD_DIR}
fi

cpack -G DEB --config ${BUILD_DIR}/CPackConfig.cmake -DCPACK_PACKAGING_INSTALL_PREFIX="/usr"
